PMF(9lua)

NAME
pmf - Lua binding to the power management framework

SYNOPSIS
local pmf = require 'pmf'

pmf.system_shutdown(howto)
pmf.set_platform(key, value)
value = pmf.get_platform(key)

DESCRIPTION
The pmf Lua binding provides access to the power management framework.

pmf.system_shutdown(howto)
    Shutdown all attached devices. howto should contain the reboot(2) howto argument. The following values are defined as constants in the pmf table:

    pmf.RB_AUTOBOOT
    pmf.RB_ASKNAME
    pmf.RB_DUMP
    pmf.RB_HALT
    pmf.RB_POWERDOWN
    pmf.RB_KDB
    pmf.RB_NOSYNC
    pmf.RB_RDONLY
    pmf.RB_SINGLE
    pmf.RB_USERCONF

pmf.set_platform(key, value)
    Insert a name-value pair into the platform information database.

value = pmf.get_platform(key)
    Retrieve the value for key from the platform information database. Returns nil if the key is not present.

SEE ALSO
lua(1), luac(1), lua(4), pmf(9), intro(9lua)

HISTORY
A pmf Lua manual appeared in NetBSD 7.0.

AUTHORS
-nosplit The pmf Lua binding was written by Marc Balmer <mbalmer@NetBSD.org>.